org.apache.ignite.ml.selection.paramgrid

## Class ParamGrid

- java.lang.Object
- - org.apache.ignite.ml.selection.paramgrid.ParamGrid

- All Implemented Interfaces:
    Serializable

      public class ParamGrid
      extends Object
      implements Serializable

  Keeps the grid of parameters.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParamGrid()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParamGrid` | `addHyperParam(String paramName, IgniteDoubleConsumer setter, Double[] params)` Adds a grid for the specific hyper parameter.
    `HyperParameterTuningStrategy` | `getHyperParameterTuningStrategy()` Returns the Hyper-parameter tuning strategy.
    `String` | `getParamNameByIndex(int idx)` Returns the name of hyper-parameter by the given index.
    `List<Double[]>` | `getParamRawData()` Prepare data for hyper-parameter tuning.
    `Map<Integer,Double[]>` | `getParamValuesByParamIdx()`
    `IgniteDoubleConsumer` | `getSetterByIndex(int idx)` Returns setter for parameter with the given index.
    `ParamGrid` | `withParameterSearchStrategy(HyperParameterTuningStrategy paramSearchStgy)` Set up the hyper-parameter searching strategy.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParamGrid

          public ParamGrid()

  - ### Method Detail

    - #### getParamValuesByParamIdx

          public Map<Integer,Double[]> getParamValuesByParamIdx()

    - #### addHyperParam

          public ParamGrid addHyperParam(String paramName,
                                         IgniteDoubleConsumer setter,
                                         Double[] params)

      Adds a grid for the specific hyper parameter.
      Parameters:
        `paramName` - The parameter name.
        `setter` - The method reference to trainer or preprocessor trainer setter.
        `params` - The array of the given hyper parameter values.
      Returns:
        The updated ParamGrid.

    - #### withParameterSearchStrategy

          public ParamGrid withParameterSearchStrategy(HyperParameterTuningStrategy paramSearchStgy)

      Set up the hyper-parameter searching strategy.
      Parameters:
        `paramSearchStgy` - Parameter search strategy.

    - #### getHyperParameterTuningStrategy

          public HyperParameterTuningStrategy getHyperParameterTuningStrategy()

      Returns the Hyper-parameter tuning strategy.

    - #### getSetterByIndex

          public IgniteDoubleConsumer getSetterByIndex(int idx)

      Returns setter for parameter with the given index.

    - #### getParamNameByIndex

          public String getParamNameByIndex(int idx)

      Returns the name of hyper-parameter by the given index.

    - #### getParamRawData

          public List<Double[]> getParamRawData()

      Prepare data for hyper-parameter tuning.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021